Open CASCADE Technology: StepFEA_HSequenceOfNodeRepresentation.hxx File Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Functions
StepFEA_HSequenceOfNodeRepresentation.hxx File Reference
`#include <Standard.hxx>`
`#include <Standard_DefineHandle.hxx>`
`#include <Handle_StepFEA_HSequenceOfNodeRepresentation.hxx>`
`#include <StepFEA_SequenceOfNodeRepresentation.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_StepFEA_NodeRepresentation.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Data Structures
class | StepFEA_HSequenceOfNodeRepresentation

## Macros
#define | Item Handle(StepFEA_NodeRepresentation)
#define | Item_hxx <StepFEA_NodeRepresentation.hxx>
#define | TheSequence StepFEA_SequenceOfNodeRepresentation
#define | TheSequence_hxx <StepFEA_SequenceOfNodeRepresentation.hxx>
#define | TCollection_HSequence StepFEA_HSequenceOfNodeRepresentation
#define | TCollection_HSequence_hxx <StepFEA_HSequenceOfNodeRepresentation.hxx>
#define | Handle_TCollection_HSequence Handle_StepFEA_HSequenceOfNodeRepresentation
#define | TCollection_HSequence_Type_() StepFEA_HSequenceOfNodeRepresentation_Type_()

## Functions
Handle < StepFEA_HSequenceOfNodeRepresentation > | ShallowCopy (const Handle< StepFEA_HSequenceOfNodeRepresentation > &me)

## Macro Definition Documentation

#define Handle_TCollection_HSequence Handle_StepFEA_HSequenceOfNodeRepresentation

#define Item Handle(StepFEA_NodeRepresentation)

#define Item_hxx <StepFEA_NodeRepresentation.hxx>

#define TCollection_HSequence StepFEA_HSequenceOfNodeRepresentation

#define TCollection_HSequence_hxx <StepFEA_HSequenceOfNodeRepresentation.hxx>

#define TCollection_HSequence_Type_ | ( |  | ) | StepFEA_HSequenceOfNodeRepresentation_Type_()

#define TheSequence StepFEA_SequenceOfNodeRepresentation

#define TheSequence_hxx <StepFEA_SequenceOfNodeRepresentation.hxx>

## Function Documentation

Handle< StepFEA_HSequenceOfNodeRepresentation > ShallowCopy | ( | const Handle< StepFEA_HSequenceOfNodeRepresentation > & | me | ) |
| inline